
CREATE TABLE "ORDAIM"."ACTIVITY" ("CUSTOMER_NO" NUMBER(*,0), 
"DATE_TICKLER" CHAR(6), "TICKLER" CHAR(2), "INITIALS" CHAR(4), 
"ACTION_INFO" CHAR(60)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
STORAGE(INITIAL 884736 FREELISTS 1 FREELIST GROUPS 1) TABLESPACE 
"ORDAIM" LOGGING ;
CREATE INDEX "ORDAIM"."ACUSTOMER_NO" ON "ACTIVITY" ("CUSTOMER_NO" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 180224 FREELISTS 1 
FREELIST GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE TABLE "ORDAIM"."CUSTOMERS" ("CUSTOMER_NO" NUMBER(*,0), 
"COMPANY" CHAR(40), "CONTACT" CHAR(24), "TITLE" CHAR(30), 
"SALUTATION" CHAR(24), "ADDRESS1" CHAR(30), "ADDRESS2" CHAR(30), 
"CITY" CHAR(20), "STATE" CHAR(2), "POSTAL_CODE" CHAR(10), "COUNTRY" 
CHAR(20), "PHONE_NO" CHAR(18), "FAX_NO" CHAR(20), "AKA_COMPANY" 
CHAR(20), "COMMENTS" CHAR(60), "LICENSEE" NUMBER(*,0)) PCTFREE 10 
PCTUSED 40 INITRANS 1 MAXTRANS 255 STORAGE(INITIAL 401408 FREELISTS 1 
FREELIST GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE UNIQUE INDEX "ORDAIM"."CCUSTOMER_NO" ON "CUSTOMERS" ("CUSTOMER_NO" 
) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 24576 FREELISTS 1 
FREELIST GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE TABLE "ORDAIM"."CUST_NOTES" ("CUSTOMER_NO" NUMBER(*,0), 
"DATE_ENTERED" CHAR(6), "ENTERED_BY" CHAR(4), "DESC_LINES1" CHAR(60), 
"DESC_LINES2" CHAR(60), "DESC_LINES3" CHAR(60), "DESC_LINES4" 
CHAR(60), "DESC_LINES5" CHAR(60)) PCTFREE 10 PCTUSED 40 INITRANS 1 
MAXTRANS 255 STORAGE(INITIAL 81920 FREELISTS 1 FREELIST GROUPS 1) 
TABLESPACE "ORDAIM" LOGGING ;
CREATE INDEX "ORDAIM"."NCUSTOMER_NO" ON "CUST_NOTES" ("CUSTOMER_NO" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 16384 FREELISTS 1 
FREELIST GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE TABLE "ORDAIM"."INVENTORY" ("PRODUCT_NO" CHAR(12), "INV_DATE" 
CHAR(6), "INV_QTY" NUMBER(*,0), "INV_COST" NUMBER(*,0), "INV_LOC" 
CHAR(16)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
STORAGE(INITIAL 24576 FREELISTS 1 FREELIST GROUPS 1) TABLESPACE 
"ORDAIM" LOGGING ;
CREATE INDEX "ORDAIM"."IPRODUCT_NO" ON "INVENTORY" ("PRODUCT_NO" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 16384 FREELISTS 1 FREELIST 
GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE TABLE "ORDAIM"."ORDERS" ("CUSTOMER_NO" NUMBER(*,0), 
"PRODUCT_NO" CHAR(12), "ORDER_DATE" CHAR(6), "STATUS" CHAR(4), 
"QUANTITY" NUMBER(*,0), "AMOUNT" NUMBER(*,0)) PCTFREE 10 PCTUSED 40 
INITRANS 1 MAXTRANS 255 STORAGE(INITIAL 598016 FREELISTS 1 FREELIST 
GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE INDEX "ORDAIM"."OCUSTOMER_NO" ON "ORDERS" ("CUSTOMER_NO" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 270336 FREELISTS 1 FREELIST 
GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE INDEX "ORDAIM"."OPRODUCT_NO" ON "ORDERS" ("PRODUCT_NO" ) PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 401408 FREELISTS 1 FREELIST GROUPS 
1) TABLESPACE "ORDAIM" LOGGING ;
CREATE TABLE "ORDAIM"."PRODUCTS" ("PRODUCT_NO" CHAR(12), 
"PRODUCT_CLASS" CHAR(20), "PRODUCT_NAME" CHAR(40), "SALES_PRICE" 
NUMBER(*,0), "PRODUCT_COST" NUMBER(*,0)) PCTFREE 10 PCTUSED 40 
INITRANS 1 MAXTRANS 255 STORAGE(INITIAL 24576 FREELISTS 1 FREELIST 
GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
CREATE UNIQUE INDEX "ORDAIM"."PPRODUCT_NO" ON "PRODUCTS" ("PRODUCT_NO" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 16384 FREELISTS 1 
FREELIST GROUPS 1) TABLESPACE "ORDAIM" LOGGING ;
